<div class="row">
    <div class="col-md-12 mb-4">
        <button *ngIf="userRole != 'Admin'" type="button" class="btn btn-sm btn-custom mr-2"
            (click)="createNewErpForm()" data-toggle="modal" data-target="#addorEditErp" data-backdrop="static"
            data-keyboard="false">Generate ERP</button>

        <button type="button" (click)="generateExcel()" class="btn btn-sm btn-primary"><i
                class="fa fa-download mr-1"></i>Generate
            Report</button>
    </div>
</div>
<div class="card shadow mb-4">
    <div class="card-body p-4">
        <form class="user filterForm pb-4" [formGroup]="filterForm">
            <div class="form-group row">
                <!--<div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="erp_order" class="form-control dropdown"
                        (change)="getFilteredErpListData()">
                        <option value="" selected>Purchase Order</option>
                        <option *ngFor="let order of purchase_orders" value="{{order.order_id}}">{{order.order_title}}
                        </option>
                    </select>
                </div>-->
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="erp_buyer" class="form-control dropdown"
                        (change)="getFilteredErpListData()">
                        <option value="" selected>Select Buyer</option>
                        <option *ngFor="let buyer of buyers" value="{{buyer.buyer_id}}">{{buyer.full_name}}</option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="erp_style" class="form-control dropdown"
                        (change)="getFilteredErpListData()">
                        <option value="" selected>Select Style</option>
                        <option *ngFor="let style of styles" value="{{style.style_id}}">{{style.style_code}}</option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="erp_status" class="form-control dropdown" id="erp_status"
                        (change)="getFilteredErpListData()">
                        <option value="" selected>Select Status</option>
                        <option *ngFor="let erp_status of erp_statuses;" value="{{erp_status.erp_status_id}}">
                            {{erp_status.erp_status}}</option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input type="submit" value="Reset" (click)="resetFilters()" class="btn btn-warning btn-block">
                </div>
            </div>
        </form>
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>ERP No.</th>
                        <th>Style</th>
                        <th>Buyer</th>
                        <th>Quantity</th>
                        <th>Rate</th>
                        <th>Currency</th>
                        <th>Wash Type</th>
                        <th>Status</th>
                        <th *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let erp of erps | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td><a [routerLink]="['/erp/view-erp', erp.erp_id]">{{erp.erp_title}}</a></td>
                        <td><a [routerLink]="" (click)="viewStyle(erp.style_number)">{{erp.style_name}}</a></td>
                        <td><a [routerLink]="['/buyers/view-buyer', erp.buyer_id]">{{erp.buyer}}</a></td>
                        <td>{{erp.quantity}}</td>
                        <td>{{erp.rate}}</td>
                        <td>{{erp.currency}}</td>
                        <td>{{erp.wash_type}}</td>
                        <td>{{erp.status}}</td>
                        <td *ngIf="userRole!='Admin' && userDesignation != 'Managing Director'">
                            <span><a [routerLink]="['/erp/view-erp', erp.erp_id]"><i class="fa fa-eye text-info mr-2"
                                        aria-hidden="true"></i></a></span>
                            <span><a [routerLink]="" data-toggle="modal" data-target="#addorEditErp"
                                    (click)="editErp(erp)"><i class="fa fa-edit mr-2" aria-hidden="true"></i></a></span>
                        </td>
                    </tr>
                    <tr *ngIf="erps==''">
                        <td colspan="11" class="text-center">No Records Found</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="erps!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>

<app-view-style></app-view-style>

<!-----------Add ERP Form Modal------------------------>
<div id="addorEditErp" class="modal fade xlargeModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title text-center">Generate New ERP</h4>
                <button #closeBtn type="button" class="close" data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditErp()" [formGroup]="NewERPForm">
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3">
                            <label>ERP Title:</label>
                            <input readonly formControlName="erp_title" type="text"
                                class="form-control form-control-user" id="erp_title">
                            <div *ngIf="submitted && formControls.erp_title.errors" class="errors">
                                <div *ngIf="formControls.erp_title.errors.required">ERP Title is required</div>
                            </div>
                        </div>
                        <!--  <div class="col-sm-4 mb-4">
                            <label>Purchase Order:</label>
                            <select formControlName="po_number" class="form-control dropdown" id="po_number">
                                <option *ngFor="let po of purchase_orders;" value="{{po.order_id}}">{{po.order_title}}
                                </option>
                            </select>
                            <div *ngIf="submitted && formControls.po_number.errors" class="errors">
                                <div *ngIf="formControls.po_number.errors.required">Purchase Order is required</div>
                            </div>
                        </div>-->
                        <div class="col-sm-4 mb-3">
                            <label>Style:</label>
                            <select formControlName="style_number" class="form-control dropdown" id="style_number">
                                <option *ngFor="let s of styles;" value="{{s.style_id}}">{{s.style_name}}</option>
                            </select>
                            <div *ngIf="submitted && formControls.style_number.errors" class="errors">
                                <div *ngIf="formControls.style_number.errors.required">Style is required</div>
                            </div>
                        </div>

                        <div class="col-sm-4 mb-3">
                            <label>Quantity:</label>
                            <input formControlName="quantity" type="number" class="form-control form-control-user"
                                id="quantity">
                            <div *ngIf="submitted && formControls.quantity.errors" class="errors">
                                <div *ngIf="formControls.quantity.errors.required">Quantity is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>Rate:</label>
                            <input formControlName="rate" type="number" class="form-control form-control-user"
                                id="rate">
                            <div *ngIf="submitted && formControls.rate.errors" class="errors">
                                <div *ngIf="formControls.rate.errors.required">Value is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>Currency:</label>
                            <input formControlName="currency" type="text" class="form-control form-control-user"
                                id="currency">
                            <div *ngIf="submitted && formControls.currency.errors" class="errors">
                                <div *ngIf="formControls.currency.errors.required">Currency is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>Sizing Ratio type:</label>
                            <select formControlName="sizing_type" class="form-control dropdown" id="sizing_type">
                                <option value="0">Numeric</option>
                                <option value="1">Alpha Numeric</option>
                            </select>
                            <div *ngIf="submitted && formControls.sizing_type.errors" class="errors">
                                <div *ngIf="formControls.sizing_type.errors.required">Sizing Ratio Type is required
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-4 mb-3">
                            <label>Season:</label>
                            <input formControlName="season" type="season" class="form-control form-control-user"
                                id="season">
                            <div *ngIf="submitted && formControls.season.errors" class="errors">
                                <div *ngIf="formControls.season.errors.required">Season is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>Wash Type:</label>
                            <input formControlName="wash_type" type="text" class="form-control form-control-user"
                                id="wash_type">
                            <div *ngIf="submitted && formControls.wash_type.errors" class="errors">
                                <div *ngIf="formControls.wash_type.errors.required">Wash Type is required</div>
                            </div>
                        </div>
                        <div class="col-sm-4 mb-3">
                            <label>ERP Status:</label>
                            <select formControlName="erp_status" class="form-control dropdown" id="erp_status">
                                <option *ngFor="let erp_status of erp_statuses;" value="{{erp_status.erp_status_id}}">
                                    {{erp_status.erp_status}}</option>
                            </select>
                            <div *ngIf="submitted && formControls.erp_status.errors" class="errors">
                                <div *ngIf="formControls.erp_status.errors.required">ERP Status is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3">
                            <label>Delivery Terms:</label>
                            <textarea formControlName="delivery_terms"
                                class="form-control form-control-user"></textarea>
                            <div *ngIf="submitted && formControls.delivery_terms.errors" class="errors">
                                <div *ngIf="formControls.delivery_terms.errors.required">Delivery terms is required
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3">
                            <label>Payment Terms:</label>
                            <textarea formControlName="payment_terms" class="form-control form-control-user"></textarea>
                            <div *ngIf="submitted && formControls.payment_terms.errors" class="errors">
                                <div *ngIf="formControls.payment_terms.errors.required">Payment Terms is required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <h4>Color Information:</h4>
                    <div formArrayName="itemRows">
                        <div *ngFor="let itemrow of NewERPForm.controls.itemRows.controls; let i=index"
                            [formGroupName]="i">
                            <div class="form-group row">
                                <div class="col-md-3">
                                    <label for="price pvt">
                                        Color Code:</label> <input type="text" formControlName="color_code"
                                        class="form-control" id="color_code" >
                                    <div *ngIf="submitted && formControls.itemRows.controls[i].controls.color_code.errors"
                                        class="errors">
                                        color code is required
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <label for="color">
                                        color:</label>
                                    <input type="text" formControlName="color" class="form-control" id="color">
                                    <div *ngIf="submitted && formControls.itemRows.controls[i].controls.color.errors"
                                        class="errors">
                                        color is required
                                    </div>
                                </div>

                                <div class="col-md-3">
                                    <label for="color_quantity">Color Quantity:</label>
                                    <input type="number" formControlName="color_quantity" class="form-control" id="color">
                                    <div *ngIf="submitted && formControls.itemRows.controls[i].controls.color_quantity.errors"
                                        class="errors">
                                        Color Quantity is required
                                    </div>
                                </div>
                                
                                <div class="col-md-3">
                                    <a *ngIf="i == NewERPForm.controls.itemRows.controls.length-1" class="mr-2" (click)="keyup($event)"><i class="fa fa-plus text-info mt-4"></i></a>
                                    <a *ngIf="NewERPForm.controls.itemRows.controls.length > 0" (click)="deleteRow(i)"><i class="fa fa-trash text-danger mt-4"></i></a>
                                </div>

                            </div>

                        </div>

                    </div>

                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-4 mb-3">
                        </div>
                        <div class="col-sm-4 mb-3">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>
                </form>

            </div>
        </div>
    </div>
</div>